<?php
class ViewSidequickcreate extends SugarView{
	
	function ViewSidequickcreate(){
		parent::SugarView();
	}
	
	function preDisplay(){
		$this->ev = new EditView();
		$this->ev->ss =& $this->ss;
		$this->ev->populateBean = false;
		$this->ev->view = 'SideQuickCreate';
		$file = 'modules/'. $this->module.'/metadata/sidecreateviewdefs.php';
		if(file_exists('custom/'.$file)) {
			$this->ev->setup($this->module, null, 'custom/'.$file);
		} else if(file_exists($file)) {
			$this->ev->setup($this->module, null, $file);
		} else {
			return false;
		}
		return true;
	}

	function display(){
		$this->ev->process();
		return get_left_form_header(translate('LBL_NEW_FORM_TITLE', $this->module))  . $this->ev->display(false, true) . '</table>';
	}
}

?>
